RECOVERDM(1)

NAME
recoverdm - recover filesdisks with damaged sectors

SYNOPSIS
recoverdm -t type -i filedevicein -o fileout [-l list] [-n retries] [-s speed]

DESCRIPTION

recoverdm This program will help you recover disks with bad sectors. You can recover files as well complete devices. In case if finds sectors which simply cannot be recoverd, it writes an empty sector to the output file and continues. If you're recovering a CD or a DVD and the program cannot read the sector in "normal mode", then the program will try to read the sector in "RAW mode" (without error-checking etc.). This toolkit also has a utility called 'mergebad': mergebad merges multiple images into one. This can be useful when you have, for example, multiple CD's with the same data which are all damaged. In such case, you can then first use recoverdm to retrieve the data from the damaged CD's into image-files and then combine them into one image with mergebad.

OPTIONS

-t type
    is 1 for files, 10 for floppy disks and 40 for IDE disks (try -h for a complete list)

-i filedevicein
    is the device or file you want to recover.

-o fileout
    is the file where to write to. This file should not already exists.

-l list
    This file will contain the offsets of the bad blocks as well as the size of the bad blocks. This file can be used together with the image with the mergebad utility.

-n retries
    Number of retries before going on with next sector, defaults to 6.

-r RAW read
    Number of retries while reading in RAW mode before going on with next sector, default to 6.

-s rotation speed
    Speed of the CD-ROMDVD, defaults to 1.

-h  Gives the help message.

SEE ALSO
gddrescue(1), dd_rescue(1), testdisk(1), gpart(1)

AUTHOR
Folkert van Heusden <flok@xs4all.nl>,
Home page is <http://www.vanheusden.com/recoverdm/>